
Katello - Refactor #32385

Use Foreman client certificate settings directly for Candlepin events communication to Artemis

04/22/2021 12:50 AM - Eric Helms

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello Backlog   

Branch:  Pull request:  

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

The installer is making a change to use the Foreman client certificates for communication to Artemis. Katello's internal code should

update to use the Foreman client certificate settings directly and drop the use of:

  :candlepin_events:

    :ssl_cert_file: /etc/foreman/client_cert.pem

    :ssl_key_file: /etc/foreman/client_key.pem

    :ssl_ca_file: /etc/pki/katello/certs/katello-default-ca.crt

Related issues:

Blocks Installer - Refactor #32384: Drop dedicated candlepin_events certifica... New

Blocked by Installer - Feature #32382: Use Foreman client certificates for co... Closed

History

#1 - 04/22/2021 12:50 AM - Eric Helms

- Blocks Refactor #32384: Drop dedicated candlepin_events certificate settings in katello.yaml added

#2 - 04/22/2021 12:51 AM - Eric Helms

- Blocked by Feature #32382: Use Foreman client certificates for communication with Artemis broker in Candlepin added

#3 - 04/28/2021 05:43 PM - James Jeffers

- Target version set to Katello 4.2.0

- Triaged changed from No to Yes

#4 - 08/11/2021 05:29 PM - Justin Sherrill

- Target version changed from Katello 4.2.0 to Katello 4.3.0

#5 - 11/08/2021 07:22 PM - Eric Helms

- Target version changed from Katello 4.3.0 to Katello 4.4.0

#6 - 02/09/2022 06:53 PM - Ian Ballou

- Triaged changed from Yes to No

#7 - 02/09/2022 06:54 PM - Ian Ballou

- Target version deleted (Katello 4.4.0)

#8 - 02/16/2022 07:24 PM - Jonathon Turel

- Target version set to Katello Backlog

- Triaged changed from No to Yes
